/*
 *  core_es.h
 *  $Id: core_es.h 20 2011-11-29 12:32:47Z ijuranek $
 *
 *  Author
 *  Roman Juranek <ijuranek@fit.vutbr.cz>
 *
 *  Graph@FIT
 *  Department of Computer Graphics and Multimedia
 *  Faculty of Information Technology
 *  Brno University of Technology
 *
 *  Description
 *  core_simple adapted for embedded systems (C99 code). Evaluation only on
 *  intensity image, LBP features and single scale detection. No laplace prunning is done.
 *  The functions does not satisfy requirements in core.h and they have to be
 *  used separately.
 *
 */

#ifndef _CORE_ES_
#define _CORE_ES_

#include "structures.h"

#ifdef __cplusplus
extern "C" {
#endif

int scan_image_intensity_es(
        const char * image_data, unsigned width_step, int w, int h,
        TClassifier * c,
        ScanParams * sp,
        Detection * first, Detection * last,
        );

#ifdef __cplusplus
    }
#endif

#endif
